Overview

List all API tokens

Get API tokens

GET/v2/tokens
Features

Send the token in the Authorization: Bearer API_TOKEN header. See Tokens for which token types this endpoint accepts.

Input0
Authorizationheaderrequired
Sent from your browser straight to the API — never to Docsbook, never stored.
Output7
datasetCapabilitiesobject
descriptionstring
Description of the token
idstring
ID of the token
namestring
Name of the token
orgCapabilitiesobject
samlAuthenticatedboolean
viewCapabilitiesobject
Responses
200Token
Example input
curl 'https://api.axiom.co/v2/tokens' \
  -H 'Authorization: Bearer API_TOKEN'
Example output
[
  {
    "datasetCapabilities": {},
    "description": "string",
    "expiresAt": "2024-01-01T00:00:00Z",
    "id": "string",
    "name": "string",
    "orgCapabilities": {
      "annotations": [
        "create"
      ],
      "apiTokens": [
        "create"
      ],
      "auditLog": [
        "read"
      ],
      "billing": [
        "read"
      ],
      "dashboards": [
        "create"
      ],
      "datasets": [
        "create"
      ],
      "endpoints": [
        "create"
      ],
      "flows": [
        "create"
      ],
      "integrations": [
        "create"
      ],
      "monitors": [
        "create"
      ],
      "notifiers": [
        "create"
      ],
      "rbac": [
        "create"
      ]
    },
    "samlAuthenticated": false,
    "viewCapabilities": {}
  }
]

Updated

Was this page helpful?